Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7799 - Authentication and Segmentation fault.
Summary: Authentication and Segmentation fault.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-14 07:46 UTC by Neil Darlow
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-07 19:53:56 UTC


Attachments (Terms of Use)

Description Neil Darlow 1999-12-14 07:46:19 UTC
As a non-root user, rp3-config (or Configure from rp3 menu) gives the
following authentication error:

> (gdb) run
> Starting program: /usr/bin/rp3
>
> GnomeUI-WARNING **: While connecting to session manager:
> Authentication Rejected, reason : None of the authentication protocols
> specified are supported and host-based authentication failed.
> $(gdb) quit
> The program is running.  Exit anyway? (y or n)

For all users, rp3-config generates a segmentation fault (this reported
for root X session):

> (gdb) run
> Starting program: /usr/sbin/rp3-config

> Program received signal SIGSEGV, Segmentation fault.
> 0x4045aee9 in chunk_free (ar_ptr=0x404ef040, p=0x80df4a8) at
malloc.c:3047
> 3047    malloc.c: No such file or directory.
> Current language:  auto; currently c
(gdb) bt
> #0  0x4045aee9 in chunk_free (ar_ptr=0x404ef040, p=0x80df4a8) at
malloc.c:3047
> #1  0x4045ad75 in __libc_free (mem=0x80df4b0) at malloc.c:2959
> #2  0x807a57d in svCloseFile (s=0x80df458) at shvar.c:367
> #3  0x807a851 in interface_shvarfiles_close (ifcfg=0x80df458) at >
interface.c:86
> #4  0x807af7c in interface_free (i=0x80db570) at interface.c:366
> #5  0x80541a8 in load_accounts () at account.cc:473
> #6  0x805ec5e in rp3_mainwin_new () at mainwin.cc:518
> #7  0x80663f5 in main (argc=1, argv=0xbffffc34) at main.cc:149
> (gdb) quit
> The program is running.  Exit anyway? (y or n) y

Comment 1 Michael K. Johnson 1999-12-14 16:25:59 UTC
Please try the test release at
ftp://people.redhat.com/johnsonm/rp3/rp3-1.0.3-1.i386.rpm
and see if it fixes the problem.

Thanks!

Comment 2 Nalin Dahyabhai 2000-02-07 19:53:59 UTC
This bug has lain dormant for more than six weeks.  I therefore assume that the
original reporter has solved the problem.


Note You need to log in before you can comment on or make changes to this bug.